Imports System.Text
Imports DigitalData.Modules.Logging
Imports DigitalData.Modules.Language.Utils
Imports Microsoft.Office.Interop
Imports System.Windows


Partial Class FileDrop
    Public Class DroppedFile
        Public ReadOnly Property FilePath As String
        Public ReadOnly Property DropType As String = "|DROPFROMFSYSTEM|"

        Public Property FileFormat As FileFormat = FileFormat.LocalFile
        Public Property FileSource As FileSource = FileSource.DragDrop

        Public Sub New(pFilePath As String)
            FilePath = pFilePath
        End Sub

        Public Sub New(pFilePath As String, pDropType As String)
            MyClass.New(pFilePath)
            DropType = pDropType

            Select Case pDropType
                Case "|DROPFROMFSYSTEM|"
                    FileFormat = FileFormat.LocalFile

                Case "OUTLOOK_ATTACHMENT"
                    FileFormat = FileFormat.OutlookAttachment

                Case "|OUTLOOK_MESSAGE|"
                    FileFormat = FileFormat.OutlookMail

                Case "|MSGONLY|"
                    FileFormat = FileFormat.MailWithoutAttachments

                Case "|FW_OUTLOOK_MESSAGE|"
                    FileFormat = FileFormat.OutlookMail
                    FileSource = FileSource.FolderWatch

                Case "|FW_SIMPLEINDEXER|"
                    FileFormat = FileFormat.LocalFile
                    FileSource = FileSource.FolderWatch

                Case "|ATTMNTEXTRACTED|"
                    FileFormat = FileFormat.LocalFile
                    FileSource = FileSource.Attachment

            End Select
        End Sub
    End Class
End Class





